## vite 1.2+svn1347

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(VITE CXX C)

### The current version number
set (VITE_VERSION_MAJOR 1)
set (VITE_VERSION_MINOR 2)
set (VITE_VERSION_PATCH 0)

if(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND CMAKE_POLICY)

### Misc options
option(BUILD_SHARED_LIBS
  "Build shared libraries" OFF)
option(BUILD_64bits
  "Build 64 bits mode" ON)
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are None, Debug, Release, RelWithDebInfo and MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# cmake modules setup
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
include (CMakeDetermineSystem)
include (CheckCCompilerFlag)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (CMakeDependentOption)

### Required Packages
find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
set(QT_USE_QTUITOOLS ON)
set(QT_USE_QTOPENGL ON)
include(${QT_USE_FILE})

#find_package(OpenGL)
find_package(GLU)

### Optimization options
option(VITE_ENABLE_SERIALIZATION 
  "Enable the support of Boost Serialization." OFF)
option(VITE_ENABLE_VBO 
  "Enable the support of VBO." OFF)
option(VITE_ENABLE_MT_PARSERS 
  "Enable multi-threading in parsers." OFF)

### Debug options
option(VITE_DBG_MEMORY_USAGE
  "Enable statistic on memory usage." OFF)
cmake_dependent_option(VITE_DBG_MEMORY_TRACE
  "Enable trace generation of memory usage (requires MEMORY_USAGE)." OFF "VITE_DBG_MEMORY_USAGE" OFF)

### Trace format options
option(VITE_ENABLE_OTF 
  "Enable the support of OTF file format." OFF)
option(VITE_ENABLE_TAU 
  "Enable the support of TAU file format." OFF)

# timeval, timespec, realtime clocks, etc
include(CheckStructHasMember)
check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
if( NOT HAVE_TIMESPEC_TV_NSEC )
  add_definitions(-D_GNU_SOURCE)
  check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
endif( NOT HAVE_TIMESPEC_TV_NSEC )
check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
if( HAVE_CLOCK_GETTIME )
  set(EXTRA_LIBS "${EXTRA_LIBS};rt")
endif( HAVE_CLOCK_GETTIME )

# stdlib, stdio, string, getopt, etc
check_include_files(stdarg.h HAVE_STDARG_H)
check_function_exists(va_copy HAVE_VA_COPY)
if (NOT HAVE_VA_COPY)
  check_function_exists(__va_copy HAVE_UNDERSCORE_VA_COPY)
endif (NOT HAVE_VA_COPY)
check_function_exists(asprintf HAVE_ASPRINTF)
check_function_exists(vasprintf HAVE_VASPRINTF)
check_include_files(getopt.h HAVE_GETOPT_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_function_exists(getopt_long HAVE_GETOPT_LONG)
check_include_files(errno.h HAVE_ERRNO_H)
check_include_files(stddef.h HAVE_STDDEF_H)
check_function_exists(getrusage HAVE_GETRUSAGE)
check_include_files(limits.h HAVE_LIMITS_H)
check_include_files(string.h HAVE_STRING_H)

#
# Find optional packages
# 

# Search for Boost 
#    Components : filesystem, iostreams, programoptions, python, regex, 
#                 serialization, signals, system, thread, wave
if(VITE_ENABLE_SERIALIZATION)
  find_package( Boost COMPONENTS serialization thread iostreams)
endif(VITE_ENABLE_SERIALIZATION)

if(VITE_ENABLE_VBO)
  find_package(GLEW)
endif(VITE_ENABLE_VBO)

if(VITE_ENABLE_OTF)
  find_package(OTF)
endif(VITE_ENABLE_OTF)

if(VITE_ENABLE_TAU)
  find_package(TAU)
endif(VITE_ENABLE_TAU)

if(VITE_ENABLE_MT_PARSERS)
  add_definitions(-DMT_PARSING)
endif()

if(VITE_DBG_MEMORY_USAGE)
  add_definitions(-DMEMORY_USAGE)
endif()

if(VITE_DBG_MEMORY_TRACE)
  add_definitions(-DMEMORY_TRACE)
endif()

# Configuration header
configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/src/common/ViteConfig.hpp.in"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/common/ViteConfig.hpp")

add_subdirectory(src)
add_subdirectory(plugins)

include(CPackLists.txt)

=== plugins/Makefile ===
#
# Plugins Makefile for ViTE project
#

VITEDIR ?= ../trunk

include $(VITEDIR)/Makefile.in

PLUGINS = Distribution   \
	  TraceInfos	 \
	  Matrix

all: $(PLUGINS)
	@for i in $(PLUGINS) ;                       			\
	do 								\
		echo "--------  Plugin $${i}  --------";		\
		( cd $${i} && VITEDIR=$(VITEDIR) $(QMAKECMD) $${i}.pro);\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKECMD) ); 		\
	done;

clean:
	@for i in $(PLUGINS) ;                       			\
	do 								\
	if test -e $${i}/Makefile; then					\
		cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) clean;	 	\
	fi;								\
	done;

cleanall:	clean
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) cleanall );    \
	done;

distclean:	cleanall
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) distclean );   \
	done;

.PHONY : $(PLUGINS)

=== src/CMakeLists.txt ===
#
# This file is part of the ViTE project.
#
# This software is governed by the CeCILL-A license under French law
# and abiding by the rules of distribution of free software. You can
# use, modify and/or redistribute the software under the terms of the
# CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
# URL: "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided
# only with a limited warranty and the software's author, the holder of
# the economic rights, and the successive licensors have only limited
# liability.
#
# In this respect, the user's attention is drawn to the risks associated
# with loading, using, modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also
# therefore means that it is reserved for developers and experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards
# their requirements in conditions enabling the security of their
# systems and/or data to be ensured and, more generally, to use and
# operate it in the same conditions as regards security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-A license and that you accept its terms.
#
# ViTE developers are (for version 0.* to 1.0):
#
#        - COULOMB Kevin
#        - FAVERGE Mathieu
#        - JAZEIX Johnny
#        - LAGRASSE Olivier
#        - MARCOUEILLE Jule
#        - NOISETTE Pascal
#        - REDONDY Arthur
#        - VUCHENER Clment
#        - (RICHART Nicolas)
#
#

SET(VITE_HDRS
  common/common.hpp
  common/Message.hpp
  common/Errors.hpp
  common/Tools.hpp
  common/Info.hpp
  common/Session.hpp
  common/Memory.hpp
  # Data structure headers
  trace/values/Color.hpp
  trace/values/Date.hpp
  trace/values/Double.hpp
  trace/values/Hex.hpp
  trace/values/Integer.hpp
  trace/values/Name.hpp
  trace/values/String.hpp
  trace/values/Value.hpp
  trace/values/Values.hpp
  trace/tree/BinaryTree.hpp
  trace/tree/Node.hpp
  trace/tree/Interval.hpp
  trace/ContainerType.hpp
  trace/EntityType.hpp
  trace/EventType.hpp
  trace/StateType.hpp
  trace/LinkType.hpp
  trace/VariableType.hpp
  trace/EntityTypes.hpp
  trace/EntityValue.hpp
  trace/Container.hpp
  trace/Entity.hpp
  trace/Event.hpp
  trace/State.hpp
  trace/StateChange.hpp
  trace/Link.hpp
  trace/Entitys.hpp
  trace/Variable.hpp
  trace/DrawTrace.hpp
  trace/DrawTree.hpp
  trace/Trace.hpp
  trace/IntervalOfContainer.hpp
  # Render headers
  render/Palette.hpp
  render/Render.hpp
  render/Geometry.hpp
  render/Hook_event.hpp
  render/Minimap.hpp
  render/Render_opengl.hpp
  render/Render_svg.hpp
  render/render_stats.hpp
  render/render_stats_opengl.hpp
  render/render_stats_svg.hpp
  render/Ruler.hpp
  # Interface headers
  interface/resource.hpp
  interface/Interface.hpp
  interface/Settings_window.hpp
  interface/Interface_graphic.hpp
  interface/Node_select.hpp
  interface/viteqtreewidget.hpp
  interface/Interval_select.hpp
  interface/qxtspanslider.h
  interface/qxtspanslider_p.h
  # Core header
  core/Core.hpp
  core/getopt.h
  # Parser headers
  parser/ParsingThread.hpp
  parser/Parser.hpp
  parser/ParserFactory.hpp
  # Paje 
  parser/PajeParser/PajeDefinition.hpp
  parser/PajeParser/PajeFileManager.hpp
  parser/PajeParser/ParserDefinitionPaje.hpp
  parser/PajeParser/ParserEventPaje.hpp
  parser/PajeParser/ParserPaje.hpp
  parser/PajeParser/ParserVite.hpp
  #Multithread Paje
  parser/PajeParser/mt_ParserEventPaje.hpp
  parser/PajeParser/mt_ParserPaje.hpp
  parser/PajeParser/mt_PajeFileManager.hpp
  parser/PajeParser/BuilderThread.hpp
  trace/TraceBuilderThread.hpp
  # Statistics headers
  statistics/Stats_window.hpp
  statistics/Statistic.hpp
  statistics/DrawStats.hpp
  statistics/DrawVDiagram.hpp
  statistics/DrawHDiagram.hpp
  statistics/DrawCounter.hpp
  # Plugin header
  plugin/Command_window.hpp
  plugin/Plugin_window.hpp
  plugin/Plugin.hpp
)

SET(VITE_UIS
  interface/info_window.ui
  interface/settings.ui
  interface/main_window.ui
  interface/option_export_window.ui
  interface/stats_viewer.ui
  interface/global_cmd.ui
  interface/list_of_counter_to_export.ui
  interface/node_select.ui
  interface/interval_select.ui
)

SET(VITE_SRCS
  # Messages & Errors 
  common/Message.cpp
  common/Errors.cpp
  common/Tools.cpp
  common/Info.cpp
  common/Session.cpp
  common/Memory.cpp
  # Data structure code files
  trace/values/Color.cpp
  trace/values/Date.cpp
  trace/values/Double.cpp
  trace/values/Hex.cpp
  trace/values/Integer.cpp
  trace/values/Name.cpp
  trace/values/String.cpp
  trace/tree/Interval.cpp
  trace/EntityValue.cpp
  trace/ContainerType.cpp
  trace/EntityType.cpp
  trace/EventType.cpp
  trace/StateType.cpp
  trace/LinkType.cpp
  trace/VariableType.cpp
  trace/Entity.cpp
  trace/Event.cpp
  trace/State.cpp
  trace/StateChange.cpp
  trace/Link.cpp
  trace/Variable.cpp
  trace/Container.cpp
  trace/Trace.cpp
  trace/IntervalOfContainer.cpp
  # Render code files
  render/Palette.cpp
  render/Geometry.cpp
  render/Hook_event.cpp
  render/Render.hpp
  render/Minimap.cpp
  render/Render_opengl.cpp
  render/Render_svg.cpp
  render/render_stats_opengl.cpp
  render/render_stats_svg.cpp
  render/Ruler.cpp
  # Parser code files
  parser/Parser.cpp
  parser/ParserFactory.cpp
  parser/ParsingThread.cpp
  # Paje Parser
  parser/PajeParser/PajeDefinition.cpp
  parser/PajeParser/PajeFileManager.cpp
  parser/PajeParser/ParserDefinitionPaje.cpp
  parser/PajeParser/ParserEventPaje.cpp
  parser/PajeParser/ParserPaje.cpp
  parser/PajeParser/ParserVite.cpp
  #Multithread Paje Parser
  parser/PajeParser/mt_ParserEventPaje.cpp
  parser/PajeParser/mt_ParserPaje.cpp
  parser/PajeParser/mt_PajeFileManager.cpp
  parser/PajeParser/BuilderThread.cpp
  trace/TraceBuilderThread.cpp
  # Statistics code files
  statistics/Statistic.cpp
  statistics/Stats_window.cpp
  # Interface code files
  interface/Settings_window.cpp
  interface/Interface_graphic.cpp
  interface/Node_select.cpp
  interface/viteqtreewidget.cpp
  interface/Interval_select.cpp
  interface/qxtspanslider.cpp
  # Plugin code file
  plugin/Command_window.cpp
  plugin/Plugin_window.cpp
  plugin/Plugin.cpp
  # Core code files
  core/Core.cpp
  core/getopt.c
  # Main
  main.cpp
  )

SET(VITE_RCCS
  interface/vite.qrc
  )

#############################################
#           QtColorPicker
#############################################
set(QTCOLORPICKERDIR
  ${CMAKE_SOURCE_DIR}/externals/qtcolorpicker/src
  )

set(VITE_HDRS
  ${VITE_HDRS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.h
  )

set(VITE_SRCS
  ${VITE_SRCS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.cpp
  )

#############################################
#                VBO
#############################################
IF(VITE_ENABLE_VBO)
  ADD_DEFINITIONS(-DWITH_VBO)

  SET(VITE_HDRS
    ${VITE_HDRS}
    render/vbo.hpp
    render/Render_alternate.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    render/vbo.cpp
    render/Render_alternate.cpp
    )  
ENDIF(VITE_ENABLE_VBO)

#############################################
#              OTF Parser
#############################################
IF(VITE_ENABLE_OTF)
  ADD_DEFINITIONS(-DWITH_OTF)

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/OTFParser/ParserDefinitionOTF.hpp
    parser/OTFParser/ParserEventOTF.hpp
    parser/OTFParser/ParserOTF.hpp
    parser/OTFParser/mt_ParserEventOTF.hpp
    parser/OTFParser/mt_ParserOTF.hpp
    parser/OTFParser/OTFTraceBuilderThread.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/OTFParser/ParserDefinitionOTF.cpp
    parser/OTFParser/ParserEventOTF.cpp
    parser/OTFParser/ParserOTF.cpp
    parser/OTFParser/mt_ParserEventOTF.cpp
    parser/OTFParser/mt_ParserOTF.cpp
    parser/OTFParser/OTFTraceBuilderThread.cpp
    )

  INCLUDE_DIRECTORIES(${OTF_INCLUDE_DIR})

ENDIF(VITE_ENABLE_OTF)

#############################################
#              TAU Parser
#############################################
IF(VITE_ENABLE_TAU)
  ADD_DEFINITIONS(-DWITH_TAU)

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/TauParser/ParserTau.hpp
    parser/TauParser/TauStructs.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/TauParser/ParserTau.cpp
    )

  INCLUDE_DIRECTORIES(${TAU_INCLUDE_DIR})

ENDIF(VITE_ENABLE_TAU)

#ADD_DEFINITIONS(-DMEMORY_USAGE)
#ADD_DEFINITIONS(-DMEMORY_TRACE)

  
#############################################
#                BOOST
#############################################
IF(VITE_ENABLE_SERIALIZATION)
  link_directories ( ${Boost_LIBRARY_DIRS} )
  include_directories ( ${Boost_INCLUDE_DIRS} )
  add_definitions("-DUSE_ITC -DBOOST_SERIALIZE")
  
  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/ParserSplitted.hpp 
    trace/IntervalOfContainer.hpp 
    trace/SerializerWriter.hpp 
    trace/SerializerDispatcher.hpp
    )
  
  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/ParserSplitted.cpp 
    trace/IntervalOfContainer.cpp 
    trace/SerializerWriter.cpp 
    trace/SerializerDispatcher.cpp
    )  
  
ENDIF(VITE_ENABLE_SERIALIZATION)


#############################################
#              QT4
#############################################
QT4_AUTOMOC(${VITE_SRCS})
FOREACH(_hdrs_file ${VITE_HDRS})
  GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
  FILE(READ ${_abs_file} _contents)
  STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
  IF(_match)
    SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
  ENDIF(_match)
ENDFOREACH(_hdrs_file ${VITE_HDRS})

QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})

ADD_DEFINITIONS(-DQT_NO_DEBUG)

#############################################

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QTCOLORPICKERDIR}
)
#ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})

if( APPLE )
  INCLUDE_DIRECTORIES(/usr/X11/include)
  SET( OSX_ICON_FILES "interface/icon/mac_logo.icns")
  set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
  SET_TARGET_PROPERTIES(vite PROPERTIES 
         MACOSX_BUNDLE_INFO_STRING "ViTE"
         MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
         MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
         MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
         MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
         MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
         MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
       	 MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
else( APPLE )
  ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
endif( APPLE )

TARGET_LINK_LIBRARIES(vite
  ${QT_LIBRARIES}
  ${GLU_LIBRARY}
  ${Boost_LIBRARIES}
  )

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  TARGET_LINK_LIBRARIES(vite
  rt
  )
  ADD_DEFINITIONS("-DBOOST_GZIP")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 

IF(VITE_ENABLE_VBO)
  TARGET_LINK_LIBRARIES(vite
    ${GLEW_LIBRARY}
    )
ENDIF(VITE_ENABLE_VBO)

IF(VITE_ENABLE_OTF)
  TARGET_LINK_LIBRARIES(vite
    ${OTF_LIBRARY}
    )
ENDIF(VITE_ENABLE_OTF)

IF(VITE_ENABLE_TAU)
  TARGET_LINK_LIBRARIES(vite
    ${TAU_LIBRARY}
    )
ENDIF(VITE_ENABLE_TAU)

INSTALL_TARGETS(/bin vite)

=== debian/changelog ===
vite (1.2+svn1347-3) unstable; urgency=low

  * patches/paje: New patch to fix paje parsing (Closes: Bug#695678).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Dec 2012 17:04:46 +0100

vite (1.2+svn1347-2) unstable; urgency=low

  * patches/overflow.patch: New upstream patch to fix overflow on big input
    traces.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 Aug 2012 22:37:18 +0200

vite (1.2+svn1347-1) unstable; urgency=low

  * New upstream snapshot (Closes: Bug#667410).
  * patches/gold-fix.diff: Remove, merged upstream.
  * control:
    - Add cmake build-dep.
    - Add libotf-trace-dev build-dep instead of shipping it.
  * Bump Standards-Version to 3.9.3 (no change needed)
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 May 2012 14:54:33 +0200

=== debian/control ===
Source: vite
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 cmake,
 libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 libotf-trace-dev,
 texlive-fonts-recommended,
 ghostscript, zlib1g-dev, hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://vite.gforge.inria.fr/
Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package

Package: vite
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Efficient visual trace explorer
 ViTE is a powerful portable and open source profiling tool to visualize
 the behaviour of parallel applications. Thanks to its scalable design,
 ViTE helps programmers to efficiently analyze the performance of
 potentially large applications.
 .
 ViTE currently enables the visualisation of traces using the Pajé format
 (open format, see http://www-id.imag.fr/Logiciels/paje/) and has various
 functionalities such as exporting a view in a svg format to integrate
 the results easily in a report, or viewing statistics.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	cmake . -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_install:

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	-rm -f $(shell cat debian/toclean)
	dh_auto_clean

## vite 1.2+svn1399

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,11 +40,11 @@
 find_package(GLU)
 
 ### Optimization options
-option(VITE_ENABLE_SERIALIZATION 
+option(VITE_ENABLE_SERIALIZATION
   "Enable the support of Boost Serialization." OFF)
-option(VITE_ENABLE_VBO 
+option(VITE_ENABLE_VBO
   "Enable the support of VBO." OFF)
-option(VITE_ENABLE_MT_PARSERS 
+option(VITE_ENABLE_MT_PARSERS
   "Enable multi-threading in parsers." OFF)
 
 ### Debug options
@@ -54,9 +54,9 @@
   "Enable trace generation of memory usage (requires MEMORY_USAGE)." OFF "VITE_DBG_MEMORY_USAGE" OFF)
 
 ### Trace format options
-option(VITE_ENABLE_OTF 
+option(VITE_ENABLE_OTF
   "Enable the support of OTF file format." OFF)
-option(VITE_ENABLE_TAU 
+option(VITE_ENABLE_TAU
   "Enable the support of TAU file format." OFF)
 
 # timeval, timespec, realtime clocks, etc
@@ -90,13 +90,13 @@
 
 #
 # Find optional packages
-# 
+#
 
-# Search for Boost 
-#    Components : filesystem, iostreams, programoptions, python, regex, 
+# Search for Boost
+#    Components : filesystem, iostreams, programoptions, python, regex,
 #                 serialization, signals, system, thread, wave
 if(VITE_ENABLE_SERIALIZATION)
-  find_package( Boost COMPONENTS serialization thread iostreams)
+  find_package( Boost COMPONENTS serialization thread iostreams system)
 endif(VITE_ENABLE_SERIALIZATION)
 
 if(VITE_ENABLE_VBO)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -111,19 +111,13 @@
   parser/ParsingThread.hpp
   parser/Parser.hpp
   parser/ParserFactory.hpp
-  # Paje 
+  # Paje
   parser/PajeParser/PajeDefinition.hpp
   parser/PajeParser/PajeFileManager.hpp
   parser/PajeParser/ParserDefinitionPaje.hpp
   parser/PajeParser/ParserEventPaje.hpp
   parser/PajeParser/ParserPaje.hpp
   parser/PajeParser/ParserVite.hpp
-  #Multithread Paje
-  parser/PajeParser/mt_ParserEventPaje.hpp
-  parser/PajeParser/mt_ParserPaje.hpp
-  parser/PajeParser/mt_PajeFileManager.hpp
-  parser/PajeParser/BuilderThread.hpp
-  trace/TraceBuilderThread.hpp
   # Statistics headers
   statistics/Stats_window.hpp
   statistics/Statistic.hpp
@@ -150,7 +144,7 @@
 )
 
 SET(VITE_SRCS
-  # Messages & Errors 
+  # Messages & Errors
   common/Message.cpp
   common/Errors.cpp
   common/Tools.cpp
@@ -204,12 +198,6 @@
   parser/PajeParser/ParserEventPaje.cpp
   parser/PajeParser/ParserPaje.cpp
   parser/PajeParser/ParserVite.cpp
-  #Multithread Paje Parser
-  parser/PajeParser/mt_ParserEventPaje.cpp
-  parser/PajeParser/mt_ParserPaje.cpp
-  parser/PajeParser/mt_PajeFileManager.cpp
-  parser/PajeParser/BuilderThread.cpp
-  trace/TraceBuilderThread.cpp
   # Statistics code files
   statistics/Statistic.cpp
   statistics/Stats_window.cpp
@@ -268,7 +256,7 @@
     ${VITE_SRCS}
     render/vbo.cpp
     render/Render_alternate.cpp
-    )  
+    )
 ENDIF(VITE_ENABLE_VBO)
 
 #############################################
@@ -282,9 +270,6 @@
     parser/OTFParser/ParserDefinitionOTF.hpp
     parser/OTFParser/ParserEventOTF.hpp
     parser/OTFParser/ParserOTF.hpp
-    parser/OTFParser/mt_ParserEventOTF.hpp
-    parser/OTFParser/mt_ParserOTF.hpp
-    parser/OTFParser/OTFTraceBuilderThread.hpp
     )
 
   SET(VITE_SRCS
@@ -292,12 +277,24 @@
     parser/OTFParser/ParserDefinitionOTF.cpp
     parser/OTFParser/ParserEventOTF.cpp
     parser/OTFParser/ParserOTF.cpp
-    parser/OTFParser/mt_ParserEventOTF.cpp
-    parser/OTFParser/mt_ParserOTF.cpp
-    parser/OTFParser/OTFTraceBuilderThread.cpp
-    )
-
-  INCLUDE_DIRECTORIES(${OTF_INCLUDE_DIR})
+    )
+
+  IF(VITE_ENABLE_MT_PARSERS)
+    SET(VITE_HDRS
+      ${VITE_HDRS}
+      parser/OTFParser/mt_ParserEventOTF.hpp
+      parser/OTFParser/mt_ParserOTF.hpp
+      parser/OTFParser/OTFTraceBuilderThread.hpp
+      )
+    SET(VITE_SRCS
+      ${VITE_SRCS}
+      parser/OTFParser/mt_ParserEventOTF.cpp
+      parser/OTFParser/mt_ParserOTF.cpp
+      parser/OTFParser/OTFTraceBuilderThread.cpp
+      )
+  ENDIF()
+  
+  INCLUDE_DIRECTORIES(BEFORE ${OTF_INCLUDE_DIR})
 
 ENDIF(VITE_ENABLE_OTF)
 
@@ -322,10 +319,34 @@
 
 ENDIF(VITE_ENABLE_TAU)
 
-#ADD_DEFINITIONS(-DMEMORY_USAGE)
-#ADD_DEFINITIONS(-DMEMORY_TRACE)
-
-  
+#############################################
+#        Multi-threaded Paje Parser
+#############################################
+
+IF(VITE_ENABLE_MT_PARSERS)
+
+  SET(VITE_HDRS
+    ${VITE_HDRS}
+    #Multithread Paje
+    parser/PajeParser/mt_ParserEventPaje.hpp
+    parser/PajeParser/mt_ParserPaje.hpp
+    parser/PajeParser/mt_PajeFileManager.hpp
+    parser/PajeParser/BuilderThread.hpp
+    trace/TraceBuilderThread.hpp
+    )
+
+  SET(VITE_SRCS
+    ${VITE_SRCS}
+    #Multithread Paje Parser
+    parser/PajeParser/mt_ParserEventPaje.cpp
+    parser/PajeParser/mt_ParserPaje.cpp
+    parser/PajeParser/mt_PajeFileManager.cpp
+    parser/PajeParser/BuilderThread.cpp
+    trace/TraceBuilderThread.cpp
+    )
+
+ENDIF()
+
 #############################################
 #                BOOST
 #############################################
@@ -333,23 +354,23 @@
   link_directories ( ${Boost_LIBRARY_DIRS} )
   include_directories ( ${Boost_INCLUDE_DIRS} )
   add_definitions("-DUSE_ITC -DBOOST_SERIALIZE")
-  
+
   SET(VITE_HDRS
     ${VITE_HDRS}
-    parser/ParserSplitted.hpp 
-    trace/IntervalOfContainer.hpp 
-    trace/SerializerWriter.hpp 
+    parser/ParserSplitted.hpp
+    trace/IntervalOfContainer.hpp
+    trace/SerializerWriter.hpp
     trace/SerializerDispatcher.hpp
     )
-  
+
   SET(VITE_SRCS
     ${VITE_SRCS}
-    parser/ParserSplitted.cpp 
-    trace/IntervalOfContainer.cpp 
-    trace/SerializerWriter.cpp 
+    parser/ParserSplitted.cpp
+    trace/IntervalOfContainer.cpp
+    trace/SerializerWriter.cpp
     trace/SerializerDispatcher.cpp
-    )  
-  
+    )
+
 ENDIF(VITE_ENABLE_SERIALIZATION)
 
 
@@ -381,12 +402,17 @@
 )
 #ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 
+IF( VITE_ENABLE_OTF )
+  LINK_DIRECTORIES( ${OTF_LIBRARY_DIR} )
+ENDIF( VITE_ENABLE_OTF )
+
+
 if( APPLE )
   INCLUDE_DIRECTORIES(/usr/X11/include)
   SET( OSX_ICON_FILES "interface/icon/mac_logo.icns")
   set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
   ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
-  SET_TARGET_PROPERTIES(vite PROPERTIES 
+  SET_TARGET_PROPERTIES(vite PROPERTIES
          MACOSX_BUNDLE_INFO_STRING "ViTE"
          MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
          MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
@@ -394,7 +420,7 @@
          MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
          MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
          MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
-       	 MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
+         MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
 else( APPLE )
   ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 endif( APPLE )
@@ -410,7 +436,7 @@
   rt
   )
   ADD_DEFINITIONS("-DBOOST_GZIP")
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 
+ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 IF(VITE_ENABLE_VBO)
   TARGET_LINK_LIBRARIES(vite
@@ -430,4 +456,3 @@
     )
 ENDIF(VITE_ENABLE_TAU)
 
-INSTALL_TARGETS(/bin vite)

=== docs/user_manual/Makefile ===
SRC = 	authors.tex \
	features.tex \
	generation.tex \
	how_to_use.tex \
	install.tex \
	introduction.tex \
    overview.tex \
	user_manual.tex \
	FAQ.tex \
	shortcuts.tex

DOC =	user_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	bibtex $(DOC)
	latex $(DOC).tex

clean :
	$(RM) *~ *.aux *.log *.toc *.dvi *.pdf *.out

cleanout :
	$(RM) $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout

=== plugins/Distribution/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clment
#    @authors RICHART Nicolas
#

set(DISTRIBUTION_hdrs
  Distribution.hpp
)

set(DISTRIBUTION_srcs
  Distribution.cpp
)

add_library(Distribution SHARED ${DISTRIBUTION_srcs})

install(TARGETS Distribution DESTINATION ${HOME}/.vite)

=== plugins/TraceInfos/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clment
#    @authors RICHART Nicolas
#

set(TRACEINFOS_hdrs
  TraceInfos.hpp
)

set(TRACEINFOS_srcs
  TraceInfos.cpp
)

add_library(TraceInfos SHARED ${TRACEINFOS_srcs})

install(TARGETS TraceInfos DESTINATION ${HOME}/.vite)

=== debian/changelog ===
vite (1.2+svn1399-1) unstable; urgency=low

  * New upstream snapshot.
    - Fixes reading states in StarPU traces.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Oct 2013 17:13:45 +0200

vite (1.2+svn1380-1) unstable; urgency=low

  * New upstream snapshot.
  * patches/{paje,overflow.patch}: Remove, merged upstream
  * Bump Standards-Version to 3.9.4 (no changes).
  * rules: Use dh_auto_build instead of running make all ourself.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Sep 2013 16:19:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://vite.gforge.inria.fr/
 Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		-DVITE_ENABLE_MT_PARSERS=ON
 
 override_dh_auto_build:
-	$(MAKE) all
+	dh_auto_build
 	$(MAKE) -C docs/user_manual
 	$(MAKE) -C docs/technical_manual

## vite 1.2+svn1430

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,10 +31,26 @@
 include (CMakeDependentOption)
 
 ### Required Packages
-find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
-set(QT_USE_QTUITOOLS ON)
-set(QT_USE_QTOPENGL ON)
-include(${QT_USE_FILE})
+# Try to find Qt5 : http://forum.openscenegraph.org/viewtopic.php?t=11431
+set(USE_QT5 OFF)
+# QUIET option disables messages if the package cannot be found.
+find_package(Qt5Widgets QUIET)
+if(Qt5Widgets_FOUND)
+# CMake 2.8.8 or greater required for qt5 use
+ if("${CMAKE_VERSION}" VERSION_GREATER 2.8.7)
+   set(USE_QT5 ON)
+ endif()
+endif()
+
+if(USE_QT5)
+  set(CMAKE_AUTOMOC ON)
+  find_package(Qt5 COMPONENTS Core Xml Widgets OpenGL UiTools REQUIRED)
+else(USE_QT5) # Try Qt4
+  find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
+  set(QT_USE_QTUITOOLS ON)
+  set(QT_USE_QTOPENGL ON)
+  include(${QT_USE_FILE})
+endif(USE_QT5)
 
 #find_package(OpenGL)
 find_package(GLU)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,13 +42,14 @@
 #
 
 SET(VITE_HDRS
+  common/Errors.hpp
+  common/Info.hpp
+  common/Memory.hpp
+  common/Message.hpp
+  common/Palette.hpp
+  common/Session.hpp
+  common/Tools.hpp
   common/common.hpp
-  common/Message.hpp
-  common/Errors.hpp
-  common/Tools.hpp
-  common/Info.hpp
-  common/Session.hpp
-  common/Memory.hpp
   # Data structure headers
   trace/values/Color.hpp
   trace/values/Date.hpp
@@ -83,7 +84,6 @@
   trace/Trace.hpp
   trace/IntervalOfContainer.hpp
   # Render headers
-  render/Palette.hpp
   render/Render.hpp
   render/Geometry.hpp
   render/Hook_event.hpp
@@ -129,7 +129,7 @@
   plugin/Command_window.hpp
   plugin/Plugin_window.hpp
   plugin/Plugin.hpp
-)
+  )
 
 SET(VITE_UIS
   interface/info_window.ui
@@ -141,16 +141,17 @@
   interface/list_of_counter_to_export.ui
   interface/node_select.ui
   interface/interval_select.ui
-)
+  )
 
 SET(VITE_SRCS
   # Messages & Errors
+  common/Errors.cpp
+  common/Info.cpp
+  common/Memory.cpp
   common/Message.cpp
-  common/Errors.cpp
+  common/Palette.cpp
+  common/Session.cpp
   common/Tools.cpp
-  common/Info.cpp
-  common/Session.cpp
-  common/Memory.cpp
   # Data structure code files
   trace/values/Color.cpp
   trace/values/Date.cpp
@@ -177,7 +178,6 @@
   trace/Trace.cpp
   trace/IntervalOfContainer.cpp
   # Render code files
-  render/Palette.cpp
   render/Geometry.cpp
   render/Hook_event.cpp
   render/Render.hpp
@@ -373,33 +373,42 @@
 
 ENDIF(VITE_ENABLE_SERIALIZATION)
 
-
-#############################################
-#              QT4
-#############################################
-QT4_AUTOMOC(${VITE_SRCS})
-FOREACH(_hdrs_file ${VITE_HDRS})
-  GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
-  FILE(READ ${_abs_file} _contents)
-  STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
-  IF(_match)
-    SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
-  ENDIF(_match)
-ENDFOREACH(_hdrs_file ${VITE_HDRS})
-
-QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
-QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
-QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
-
-ADD_DEFINITIONS(-DQT_NO_DEBUG)
-
+#############################################
+#              QT5
+#############################################
+IF(USE_QT5)
+  QT5_WRAP_UI(VITE_UIS_H ${VITE_UIS})
+  QT5_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
+  QT5_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
+  ADD_DEFINITIONS(-DQT_NO_DEBUG)
+  #############################################
+  #              QT4
+  #############################################
+ELSE(USE_QT5)
+  QT4_AUTOMOC(${VITE_SRCS})
+  FOREACH(_hdrs_file ${VITE_HDRS})
+    GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
+    FILE(READ ${_abs_file} _contents)
+    STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
+    IF(_match)
+      SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
+    ENDIF(_match)
+  ENDFOREACH(_hdrs_file ${VITE_HDRS})
+
+  QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
+  QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
+  QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
+
+  ADD_DEFINITIONS(-DQT_NO_DEBUG)
+
+ENDIF(USE_QT5)
 #############################################
 
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${QTCOLORPICKERDIR}
-)
+  )
 #ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 
 IF( VITE_ENABLE_OTF )
@@ -413,46 +422,23 @@
   set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
   ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
   SET_TARGET_PROPERTIES(vite PROPERTIES
-         MACOSX_BUNDLE_INFO_STRING "ViTE"
-         MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
-         MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
-         MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
-         MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
-         MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
-         MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
-         MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
+    MACOSX_BUNDLE_INFO_STRING "ViTE"
+    MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
+    MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
+    MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
+    MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
+    MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
+    MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
+    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
 else( APPLE )
   ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 endif( APPLE )
 
+#############################################
+#              QT5
+#############################################
+IF(USE_QT5)
+  qt5_use_modules(vite Widgets Core Xml OpenGL UiTools)
+ENDIF(USE_QT5)
+
 TARGET_LINK_LIBRARIES(vite
-  ${QT_LIBRARIES}
-  ${GLU_LIBRARY}
-  ${Boost_LIBRARIES}
-  )
-
-IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  TARGET_LINK_LIBRARIES(vite
-  rt
-  )
-  ADD_DEFINITIONS("-DBOOST_GZIP")
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-
-IF(VITE_ENABLE_VBO)
-  TARGET_LINK_LIBRARIES(vite
-    ${GLEW_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_VBO)
-
-IF(VITE_ENABLE_OTF)
-  TARGET_LINK_LIBRARIES(vite
-    ${OTF_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_OTF)
-
-IF(VITE_ENABLE_TAU)
-  TARGET_LINK_LIBRARIES(vite
-    ${TAU_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_TAU)
-

=== plugins/Distribution/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,8 @@
 
 add_library(Distribution SHARED ${DISTRIBUTION_srcs})
 
+IF(USE_QT5)
+  qt5_use_modules(Distribution Widgets Core)
+ENDIF(USE_QT5)
+
 install(TARGETS Distribution DESTINATION ${HOME}/.vite)

=== plugins/TraceInfos/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,8 @@
 
 add_library(TraceInfos SHARED ${TRACEINFOS_srcs})
 
+IF(USE_QT5)
+  qt5_use_modules(TraceInfos Widgets Core)
+ENDIF(USE_QT5)
+
 install(TARGETS TraceInfos DESTINATION ${HOME}/.vite)

=== tests/parser/Makefile ===

CXX=g++
CXXFLAGS = -W -Wall -g
BIN_DIR = ../../bin
SRC_DIR = ../../src/parser

OBJECT_FILE = 	Line.o				\
	      	TokenSource.o 			\
	      	ParserDefinitionDecoder.o 	\
		Message.o 			\
		Errors.o 			\
		Definition.o 			\
		ParserEventDecoder.o		\
		ParserPaje.o 			\
		Trace.o 			\
		Color.o 			\
		Date.o 				\
		Double.o 			\
		Integer.o 			\
		Hex.o 				\
		Name.o 				\
		String.o

OBJECT_FILE = Line.o ParserDefinitionDecoder.o TokenSource.o Definition.o ParserEventDecoder.o ParserPaje.o Trace.o Color.o Date.o Double.o Integer.o Hex.o Name.o String.o

TEST_FLAGS = -DVITE_DEBUG

## Qt include path
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4
## Qt libs
LIBS          = -L/usr/lib -L/usr/X11R6/lib -lglut -lGLEW -lQtXml -lQtOpenGL -lQtGui -lQtCore -lQtUiTools -lGLU -lGL -lpthread



# Making
all:	make_src test_token test_ligne test_parser_definition test_parser_evenement test_parser_paje

# All the source files is compiled
make_src:  Message.o Errors.o $(OBJECT_FILE)

test_token:		test_token.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(TEST_FLAGS) $(INCPATH) $(BIN_DIR)TokenSource.o $(BIN_DIR)Message.o $(BIN_DIR)Errors.o

test_ligne:	test_ligne.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(TEST_FLAGS) $(INCPATH) $(BIN_DIR)Line.o $(BIN_DIR)TokenSource.o $(BIN_DIR)Message.o $(BIN_DIR)Errors.o

test_parser_definition:		test_parser_definition.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)

test_parser_evenement:	test_parser_event.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)


%.o:$(SRC_DIR)%.cpp $(SRC_DIR)%.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS)

$(BINDIR)/Message.o: ../../src/message/Message.cpp  ../../src/message/Message.hpp
$(BINDIR)/Trace.o:   ../stubs/Trace.cpp   ../stubs/Trace.hpp
$(BINDIR)/Color.o:   ../stubs/Color.cpp   ../stubs/Color.hpp
$(BINDIR)/Date.o:    ../stubs/Date.cpp    ../stubs/Date.hpp
$(BINDIR)/Double.o:  ../stubs/Double.cpp  ../stubs/Double.hpp
$(BINDIR)/Integer.o: ../stubs/Integer.cpp ../stubs/Integer.hpp
$(BINDIR)/Hex.o:     ../stubs/Hex.cpp     ../stubs/Hex.hpp
$(BINDIR)/Name.o:    ../stubs/Name.cpp    ../stubs/Name.hpp
$(BINDIR)/String.o:  ../stubs/String.cpp  ../stubs/String.hpp
$(BINDIR)/Errors.o:  ../stubs/Errors.cpp  ../stubs/Errors.hpp

$(BINDIR)/%.o:
	$(CXX) -c $(CXXFLAGS) $< -o $@ $(TEST_FLAGS)

test_parser_paje:		test_parser_paje.cpp
		$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)

clean:	
		$(RM) $(BIN_DIR)*.o *.*~ Makefile~

distclean:	clean
		$(RM) test_token test_ligne test_parser_definition test_parser_evenement test_parser_paje

=== tests/trace/CMakeLists.txt ===
PROJECT(VITE CXX C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

# A virer
FIND_PACKAGE(Qt4
   COMPONENTS QtCore QtGui REQUIRED)
INCLUDE(${QT_USE_FILE})

SET(SRC_DIR ../../src)
# Files needed by all the tests
SET(ALL_HDRS 
  trace/Trace.hpp
  trace/Container.hpp
  trace/ContainerType.hpp
  trace/Entity.hpp
  trace/EntityType.hpp
  trace/EntityValue.hpp
  trace/Event.hpp
  trace/EventType.hpp
  trace/State.hpp
  trace/StateChange.hpp
  trace/StateType.hpp
  trace/Link.hpp
  trace/LinkType.hpp
  trace/Variable.hpp
  trace/VariableType.hpp
  trace/values/Color.hpp
  trace/values/Date.hpp
  trace/values/Double.hpp
  trace/values/Hex.hpp
  trace/values/Integer.hpp
  trace/values/Name.hpp
  trace/values/String.hpp
  trace/values/Value.hpp
  trace/values/Values.hpp
  common/Tools.hpp
  common/Info.hpp
  common/Errors.hpp
  common/Memory.hpp
  common/Message.hpp
  common/Session.hpp             # A virer
  statistics/Statistic.hpp       # A virer
  parser/Parser.hpp
  render/Palette.hpp             # A virer
  )

SET(ALL_SRCS
  ${SRC_DIR}/trace/Trace.cpp
  ${SRC_DIR}/trace/Container.cpp
  ${SRC_DIR}/trace/ContainerType.cpp
  ${SRC_DIR}/trace/Entity.cpp
  ${SRC_DIR}/trace/EntityType.cpp
  ${SRC_DIR}/trace/EntityValue.cpp
  ${SRC_DIR}/trace/Event.cpp
  ${SRC_DIR}/trace/EventType.cpp
  ${SRC_DIR}/trace/State.cpp
  ${SRC_DIR}/trace/StateChange.cpp
  ${SRC_DIR}/trace/StateType.cpp
  ${SRC_DIR}/trace/Link.cpp
  ${SRC_DIR}/trace/LinkType.cpp
  ${SRC_DIR}/trace/Variable.cpp
  ${SRC_DIR}/trace/VariableType.cpp
  ${SRC_DIR}/trace/values/Color.cpp
  ${SRC_DIR}/trace/values/Date.cpp
  ${SRC_DIR}/trace/values/Double.cpp
  ${SRC_DIR}/trace/values/Hex.cpp
  ${SRC_DIR}/trace/values/Integer.cpp
  ${SRC_DIR}/trace/values/Name.cpp
  ${SRC_DIR}/trace/values/String.cpp
  ${SRC_DIR}/common/Tools.cpp
  ${SRC_DIR}/common/Info.cpp
  ${SRC_DIR}/common/Errors.cpp
  ${SRC_DIR}/common/Memory.cpp
  ${SRC_DIR}/common/Message.cpp
  ${SRC_DIR}/common/Session.cpp        # A virer
  ${SRC_DIR}/statistics/Statistic.cpp  # A virer
  ${SRC_DIR}/parser/Parser.cpp
  ${SRC_DIR}/render/Palette.cpp        # A virer
  )

# Specific Paje parser files
SET(PAJE_HDRS
  parser/PajeDefinition.hpp
  parser/ParserDefinitionPaje.hpp
  parser/ParserEventPaje.hpp
  parser/ParserPaje.hpp
  parser/PajeFileManager.hpp
  )
SET(PAJE_SRCS
  ${SRC_DIR}/parser/PajeDefinition.cpp
  ${SRC_DIR}/parser/ParserDefinitionPaje.cpp
  ${SRC_DIR}/parser/ParserEventPaje.cpp
  ${SRC_DIR}/parser/ParserPaje.cpp
  ${SRC_DIR}/parser/PajeFileManager.cpp
  )

# Specific ViTE parser files
SET(VITE_HDRS
  ${PAJE_HDRS}
  parser/ParserVite.hpp
  )
SET(VITE_SRCS
  ${PAJE_SRCS}
  ${SRC_DIR}/parser/ParserVite.cpp
  )

# Specific Tau parser files
OPTION(ENABLE_TAU "Enable the support of TAU file format." OFF)
IF(ENABLE_TAU)
  INCLUDE(../../cmake/FindTAU.cmake)
  ADD_DEFINITIONS(-DWITH_TAU)
  
  SET(TAU_HDRS
    parser/ParserTau.hpp
    parser/TauStructs.hpp
    ${TAU_INCLUDE_DIR}
    )
  SET(TAU_SRCS
    ${SRC_DIR}parser/ParserTau.cpp
    )
  
  ADD_EXECUTABLE(TimeMemoryTest_Tau TimeMemoryTest_Tau.cpp ${ALL_SRCS} ${TAU_SRCS})
  
  TARGET_LINK_LIBRARIES(TimeMemoryTest_Tau
    ${QT_LIBRARIES}
    ${TAU_LIBRARY}
    rt
    )
ENDIF(ENABLE_TAU)


# Specific OTF parser files
OPTION(ENABLE_OTF "Enable the support of OTF file format." OFF)
IF(ENABLE_OTF)
  INCLUDE(../../cmake/FindOTF.cmake)
  ADD_DEFINITIONS(-DWITH_OTF)

  SET(OTF_HDRS
    parser/ParserDefinitionOTF.hpp
    parser/ParserEventOTF.hpp
    parser/ParserOTF.hpp
    ${OTF_INCLUDE_DIR}
    )
  
  SET(OTF_SRCS
    ${SRC_DIR}/parser/ParserDefinitionOTF.cpp
    ${SRC_DIR}/parser/ParserEventOTF.cpp
    ${SRC_DIR}/parser/ParserOTF.cpp
    )
  
  ADD_EXECUTABLE(TimeMemoryTest_OTF TimeMemoryTest_OTF.cpp ${ALL_SRCS} ${OTF_SRCS})
  
  TARGET_LINK_LIBRARIES(TimeMemoryTest_OTF
    ${QT_LIBRARIES}
    ${OTF_LIBRARY}
    rt
    )

ENDIF(ENABLE_OTF)

INCLUDE_DIRECTORIES(${SRC_DIR})

ADD_DEFINITIONS(-DMEMORY_USAGE)
ADD_DEFINITIONS(-DMEMORY_TRACE)
ADD_DEFINITIONS(-DDBG_PARSER_PAJE)
ADD_DEFINITIONS(-DDBG_PARSER_VITE)
#ADD_DEFINITIONS(-DDBG_PARSER_OTF)
#ADD_DEFINITIONS(-DDBG_PARSER_TAU)
ADD_DEFINITIONS(-DWITHOUT_QT)
ADD_DEFINITIONS(-O0 -Wall -g3)

ADD_EXECUTABLE(TimeMemoryTest_Paje TimeMemoryTest_Paje.cpp ${ALL_SRCS} ${PAJE_SRCS})
ADD_EXECUTABLE(TimeMemoryTest_Vite TimeMemoryTest_Vite.cpp ${ALL_SRCS} ${VITE_SRCS})
ADD_EXECUTABLE(TestParsers TestParsers.cpp ${ALL_SRCS} ${PAJE_SRCS} ${VITE_SRCS} ${OTF_SRCS} ${TAU_SRCS})

TARGET_LINK_LIBRARIES(TimeMemoryTest_Paje
  ${QT_LIBRARIES}
  rt
  )

TARGET_LINK_LIBRARIES(TimeMemoryTest_Vite
  ${QT_LIBRARIES}
  rt
  )

TARGET_LINK_LIBRARIES(TestParsers
  ${QT_LIBRARIES}
  ${TAU_LIBRARY}
  ${OTF_LIBRARY}
  rt
  )

=== debian/changelog ===
vite (1.2+svn1430-3) unstable; urgency=medium

  [ Pino Toscano ]
  * rules: Enable parallel build (Closes: Bug#767452).
  * rules, install, toclean: Simplify build by letting dh handle the cmake
    build (Closes: Bug#767455).

  [ Samuel Thibault ]
  * control: Fix svn URL.
  * menu: Drop.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:45:38 +0100

vite (1.2+svn1430-2) unstable; urgency=medium

  * control: remove spurious libqt4-opengl build-dependency, already pulled by
    libqt4-opengl-dev (Closes: Bug#767451).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Nov 2014 11:28:52 +0100

vite (1.2+svn1430-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 18:40:07 +0200

vite (1.2+svn1424-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Mar 2014 00:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  cmake,
- libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
+ libqt4-dev (>= 4:4.6), libqt4-opengl-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package
+Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
+Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
 
 Package: vite
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	-rm -f $(shell cat debian/toclean)
	dh_auto_clean
